Subject: Re: [PATCH] powerpc/mm: Always invalidate tlb on hpte invalidate and update

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 01 Jun 2013 21:44:11 +1000

On Sat, 2013-06-01 at 21:19 +1000, Michael Ellerman wrote:
> On Fri, May 31, 2013 at 04:33:24PM +0530, Aneesh Kumar K.V wrote:
> > From: "Aneesh Kumar K.V" <[email-masked]>
> > 
> > If a hash bucket gets full, we "evict" a more/less random entry from it.
> > When we do that we don't invalidate the TLB (hpte_remove) because we assume
> > the old translation is still technically "valid". This implies that when
> > we are invalidating or updating pte, even if HPTE entry is not valid
> > we should do a tlb invalidate.
> > 
> > Signed-off-by: Aneesh Kumar K.V <[email-masked]>
> 
> Has this always been a bug? I assume not.
> 
> I'm asking because I have a kernel that's crashing and I'm wondering if
> I might need this commit.

Bug got introduced in either 
b1022fbd293564de91596b8775340cf41ad5214c or
7e74c3921ad9610c0b49f28b8fc69f7480505841, the jury is still out on
that one :-)

It's unlikely to crash the kernel however (it *can*, it's just unlikely).

Patch is good to have regardless...

Cheers,
Ben.